package com.huimv.farm.damsubsidy.common.utils;

import cn.hutool.core.util.ObjectUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public class BuyImageUtil {
    @Autowired
    private static UploadImage uploadImage;

    public static String getUrl(String content, MultipartFile image) throws IOException {
        if (ObjectUtil.isNotEmpty(image)){
            if (ObjectUtil.isNotNull(content)){
                content = content +","+uploadImage.getImageCom(image);
            }else {
                content = content + uploadImage.getImageCom(image);
            }
        }
        return content;
    }
}
